Package com.io7m.cardant.model

# Record Class CAItemRepositMove

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAItemRepositMove

Record Components:
  `item` - The item
  `fromLocation` - The source storage location
  `toLocation` - The target storage location
  `count` - The item count

All Implemented Interfaces:
  `CAItemRepositType`

public record CAItemRepositMove(CAItemID item, CALocationID fromLocation, CALocationID toLocation, long count) extends Record implements CAItemRepositType
An operation that moves a set of items from one storage location to another.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAItemRepositMove(CAItemID item, CALocationID fromLocation, CALocationID toLocation, long count)`
  An operation that moves a set of items from one storage location to another.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `count()`
  Returns the value of the `count` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CALocationID`
  `fromLocation()`
  Returns the value of the `fromLocation` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAItemID`
  `item()`
  Returns the value of the `item` record component.
  `CALocationID`
  `toLocation()`
  Returns the value of the `toLocation` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAItemRepositMove

    public CAItemRepositMove(CAItemID item, CALocationID fromLocation, CALocationID toLocation, long count)
    An operation that moves a set of items from one storage location to another.
    Parameters:
      `item` - The item
      `fromLocation` - The source storage location
      `toLocation` - The target storage location
      `count` - The item count

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### item

    public CAItemID item()
    Returns the value of the `item` record component.
    Specified by:
      `item` in interface `CAItemRepositType`
    Returns:
      the value of the `item` record component

  - ### fromLocation

    public CALocationID fromLocation()
    Returns the value of the `fromLocation` record component.
    Returns:
      the value of the `fromLocation` record component

  - ### toLocation

    public CALocationID toLocation()
    Returns the value of the `toLocation` record component.
    Returns:
      the value of the `toLocation` record component

  - ### count

    public long count()
    Returns the value of the `count` record component.
    Specified by:
      `count` in interface `CAItemRepositType`
    Returns:
      the value of the `count` record component